import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class DailyService {
  constructor(private http : HttpClient) { }

  // 获得daily列表
  list(productId: string, params) {
    return this.http.get(`/napi/coloring/web/daily/${productId}`, { params });
  }


  // 设置daily
  set(productId, data) {
    return this.http.patch(`/napi/coloring/web/daily/${productId}`, data);
  }

  // 移除daily
  remove(productId, dailyId) {
    return this.http.delete(`/napi/coloring/web/daily/${productId}/${dailyId}`);
  }


  epgOption() {
    return this.http.get('/napi/web/epg/options');
  }

}
